Bug 703227 - cyrus-imapd not enabled after F14->F15 upgrade
cyrus-imapd not enabled after F14->F15 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
RejectedNTH https://fedoraproject.org...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-09 13:13 EDT by James Laska
Modified: 2013-09-02 02:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: cyrus-imapd-2.4.8-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2011-05-09 13:13:00 EDT
As the  states, cyrus-imapd is enabled and starts on boot in Fedora 14.  After upgrading to Fedora 15, cyrus-imapd is no longer enabled by default, and does not start on boot.  \n\nWhile the workaround is straight forward, I am proposing this as a NTH fix for F15 since this will likely impact F14->F15 users, and it's not obvious that the service isn't running.
Comment 1 James Laska 2011-05-09 13:24:49 EDT
An updated package that resolves this issue is available for testing at https://admin.fedoraproject.org/updates/cyrus-imapd-2.4.8-2.fc15
Comment 2 Adam Williamson 2011-05-09 15:17:29 EDT
not on the DVD, so nothing to be gained by making this NTH. -1



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 James Laska 2011-05-09 15:46:49 EDT
(In reply to comment #2)
> not on the DVD, so nothing to be gained by making this NTH. -1

I wasn't able to cross-reference the bugs with what packages are available on
the DVD.  Given that this isn't provided on the DVD, I'm in perfect agreement
that this can easily be addressed by a post-release update and does not affect
the installation media in any way.  

We should however document this issue, as manual intervention will be required to ensure that the service is enabled after upgrade.  Adding CommonBugs keyword

Adding whiteboard:RejectedNTH
Comment 4 Adam Williamson 2011-05-10 14:57:13 EDT
you also have to drop the blocks: f15-accepted when rejecting.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 James Laska 2011-05-24 09:26:01 EDT
I documented this issue as a CommonBug.  Please feel free to adjust/patch as needed.

https://fedoraproject.org/wiki/Common_F15_bugs#upgrade-disabled-services
Comment 6 Fedora End Of Life 2012-08-07 16:23:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.